var constant = require('const.js');
const HOST_PRODUCT = constant.productApi;
const HOST_BASE = constant.baseApi;
let request = require('WXHttpRequest.js');
const httputil = require('httpUtil.js');

function getProductUrl(action) {
	return HOST_PRODUCT + action;
}

function getBaseUrl(action) {
	return HOST_BASE + action;
}
module.exports = {
	//获取推荐首页信息
	getIndex(uid) {
		let url = getProductUrl('wx/index');
		return request.getInstance().header({
			uid
		}).url(url).send();
	},
	// 获取首页人气推荐
	getHotRecommend(uid, pageNo, pageSize) {
		let url = getBaseUrl('wx/userRead/recommend');
		console.log(url);
		return request.getInstance().header({
			uid
		}).data({
			pageNo,
			pageSize,
		}).url(url).send();
	},
	// 获取用户朗读详细信息
	getWorksDetail(uid, readId) {
		let url = getBaseUrl(`wx/userRead/info/${readId}`);
		return request.getInstance().header({
			uid
		}).url(url).send();
	},
	// 关注用户 
	followUser(uid, followUid) {
		let url = getBaseUrl(`wx/fans`);
		return request.getInstance().header({
			uid
		}).url(url).data({
			"uid": followUid
		}).method('POST').send();
	},
	// 获取全部课本
	getAllBooks(uid,pageNo,pageSize) {
		let url = getProductUrl('wx/product');
		return request.getInstance().header({
			uid
		}).url(url).data({
			pageNo,
			pageSize
		}).send();
	},
	// 获取课本详情
	getBookDetail(uid,id) {
		let url = getProductUrl(`wx/product/${id}`);
		return request.getInstance().header({
			uid
		}).url(url).send();
	},
	// 获取单课详情
	getClassDetail(uid,id) {
		let url = getProductUrl(`wx/lesson/${id}`);
		return request.getInstance().header({
			uid
		}).url(url).send();
	},
	// 获取课程团购信息
	getGroupPurchaseInfo (productId) {
		let url = getBaseUrl(`wx/groupPurchaseInfo/info/${productId}`);
		return request.getInstance().header({
			uid: 1
		}).url(url).send();
	},
	// 发起团购
	SendGroupPurchas (data) {
		let url = getBaseUrl(`wx/groupPurchase/create`);
		return request.getInstance().header({
			uid: 1
		}).url(url).data(data).method('POST').send();
	},
	// 参加团购
	JoinGroupPurchas (orderId) {
		let url = getBaseUrl(`wx/groupPurchase/join`);
		return request.getInstance().header({
			uid: 1
		}).url(url).data({
			orderId
		}).method('POST').send();
	}
}